# Obtain detailed routing table information (including routing policies) - DescribeRouteTable

## Overview

Obtain detailed routing table information (including routing policies)






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeRouteTable`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.ckcloudai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **VPCId** | string | Resource ID of the associated VPC |No|
| **RouteTableId** | string | Routing Table Resource ID |No|
| **OffSet** | int | Data offset. Default is 0 |No|
| **Limit** | int | Data pagination value. Default is 20 |No|
| **BusinessId** | string | Business Group ID |No|
| **Brief** | boolean | Defaults to false, returns detailed routing rule information |No|
| **LongId** | string | The default is false, indicating that the routing table is a short ID. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **RouteTables** | array[[*RouteTableInfo*](#routetableinfo)] | Routing Table Information |No|
| **TotalCount** | int | The number of RouteTables fields |No|

#### Data Model


#### RouteTableInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RouteTableId** | string | Routing Table Resource ID |No|
| **RouteTableType** | int | Type of routing table. 1 is the default routing table, 0 is the custom routing table. |No|
| **SubnetCount** | int | The number of subnets bound to this routing table |No|
| **SubnetIds** | array[string] | Subnets bound to this route table |No|
| **VPCId** | string | The Resource ID of the VPC to which the routing table belongs |No|
| **VPCName** | string | The name of the VPC resource to which the routing table belongs |No|
| **Tag** | string | Routing Table Business Group |No|
| **Remark** | string | Routing Table Remarks |No|
| **CreateTime** | int | Create Timestamp |No|
| **RouteRules** | array[[*RouteRuleInfo*](#routeruleinfo)] | Routing Rules |No|

#### RouteRuleInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **AccountId** | int | Project ID Information |No|
| **DstAddr** | string | Destination Address |No|
| **DstPort** | int | Reserved field, not in use yet |No|
| **NexthopId** | string | Next Hop Resource ID |No|
| **NexthopType** | string | Next hop type of the routing table. LOCAL, routing for internal communication within this VPC; PUBLIC, routing for public services; CNAT, routing for the internet; UDPN, routing for cross-domain high-speed channel; HYBRIDGW, routing for hybrid cloud; INSTANCE, routing for instances; VNET, routing for VPC interconnection; IPSEC VPN, routing towards VPN gateway. |No|
| **InstanceType** | string | Instance type, enumeration values: UHOST, Cloud Host; UNI, Virtual Network Interface; PHOST, Physical Cloud Host. |No|
| **OriginAddr** | string | Reserved field, not in use yet |No|
| **Priority** | int | Reserved field, not in use yet |No|
| **Remark** | string | Routing Rule Remarks |No|
| **RouteRuleId** | string | Rule ID |No|
| **RouteTableId** | string | Routing Table Resource ID |No|
| **RuleType** | int | Routing rule type. 0, system routing rule; 1, custom routing rule. |No|
| **SrcAddr** | string | Reserved field, not in use yet |No|
| **SrcPort** | int | Reserved field, not in use yet |No|
| **VNetId** | string | Belonging to VPC |No|

## Example

### Request Example
    
```
https://api.ckcloudai.com/?Action=DescribeRouteTable
&ProjectId=org-test
&Region=cn-bj2
&VPCId=uvnet-test
&RouteTableId=routetable_test
&OffSet=0
&Limit=999
&BusinessId=PLFgRTxc
&Brief=false
&LongId=RLwTFiVs
```

### Response Example
    
```json
{
  "Action": "DescribeRouteTableResponse",
  "RetCode": 0,
  "SubnetIds": [
    "mPHQFHdV"
  ]
}
```





